Name:           munin
Version:        2.0.76
Release:    1%{?dist}
Summary:        Network-wide resource monitoring tool
License:        GPL-2.0-only
URL:            http://munin-monitoring.org/

Source0:        http://downloads.munin-monitoring.org/munin/stable/%{version}/%{name}-%{version}.tar.gz
Source1:        http://downloads.munin-monitoring.org/munin/stable/%{version}/%{name}-%{version}.tar.gz.asc
Source2:        gpgkey-910846ADEE4C5D67C19B3E6F0A24C05998BA4133.asc

Source10:       munin.conf
Source11:       munin.logrotate
Source12:       munin.tmpfilesd
Source13:       munin.timer
Source14:       munin.service
Source15:       munin-rrdcached.service
Source16:       httpd_cgi_graphs.conf
Source17:       httpd_cron_graphs.conf
Source18:       nginx_cgi_graphs.conf

Source20:       munin-node.conf
Source21:       munin-node.logrotate
Source23:       munin-node.service
Source25:       munin-asyncd.service
Source26:       munin-node.xml

Source32:       munin-cgi-graph.service
Source33:       munin-cgi-graph.socket
Source34:       munin-cgi-html.service
Source35:       munin-cgi-html.socket

Patch101:       21b3d860c17d7997d64267963f91ed75ca8a3e03.patch
Patch102:       cd842e36f3ab1a55c05304d6b78dc07048bd8f84.patch
Patch103:       munin-run_no_systemd.patch

Source200:      mysql_

Source300:      00-default
Source301:      munin-node

BuildRequires:  firewalld-filesystem
BuildRequires:  gnupg2
BuildRequires:  make
BuildRequires:  perl(Carp)
BuildRequires:  perl(English)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(HTML::Template)
BuildRequires:  perl(Log::Log4perl)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Net::SNMP)
BuildRequires:  perl(Net::SSLeay)
BuildRequires:  perl(Net::Server)
BuildRequires:  perl(Text::Balanced)
BuildRequires:  perl(base)
BuildRequires:  perl(lib)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter >= 5.8
BuildRequires:  systemd

Requires:       %{name}-common = %{version}
Requires:       %{name}-web-support
Requires:       /bin/mail
Requires:       dejavu-sans-mono-fonts
Requires:       logrotate
Requires:       perl(DateTime)
Requires:       perl(Digest::MD5)
Requires:       perl(FCGI)
Requires:       perl(File::Copy::Recursive)
Requires:       perl(Getopt::Long)
Requires:       perl(HTML::Template)
Requires:       perl(IO::Socket::INET6)
Requires:       perl(Net::SNMP)
Requires:       perl(Net::SSLeay)
Requires:       perl(Net::Server)
Requires:       perl(Params::Validate)
Requires:       perl(RRDs)
Requires:       perl(Storable)
Requires:       perl(Taint::Runtime)
Requires:       perl(Text::Balanced)
Requires:       perl(Time::HiRes)
Requires:       rrdtool
Requires(pre):  shadow-utils
%{?systemd_requires}

BuildArch:      noarch

%global __requires_exclude ^/usr/bin/(php|python3)$


%description
Munin is a highly flexible and powerful solution used to create graphs of
virtually everything imaginable throughout your network, while still
maintaining a rattling ease of installation and configuration.

This package contains the grapher/gatherer. You will only need one instance of
it in your network. It will periodically poll all the nodes in your network
it's aware of for data, which it in turn will use to create graphs and HTML
pages, suitable for viewing with your graphical web browser of choice.

You must also install munin-nginx or munin-apache sub-package to generate
web graphs. See /usr/share/doc/munin-*/*.conf for example nginx/apache config
files and installation instructions.


%package node
Summary:        Network-wide resource monitoring tool (node)
Requires:       %{name}-common = %{version}
Requires:       /usr/bin/which
Requires:       bc
Requires:       conntrack-tools
Requires:       firewalld-filesystem
Requires:       hdparm
Requires:       jo
Requires:       perl(Cache::Cache)
Requires:       perl(IO::Socket::INET6)
Requires:       perl(Net::CIDR)
Requires:       perl(Net::SSLeay)
Requires:       perl(Net::Server)
Requires:       procps-ng
Requires(pre):  shadow-utils
Requires(pre):  %{_sbindir}/semanage
Requires(pre):  %{_sbindir}/restorecon
%{?systemd_requires}
BuildArch:      noarch


%description node
Munin is a highly flexible and powerful solution used to create graphs of
virtually everything imaginable throughout your network, while still
maintaining a rattling ease of installation and configuration.

This package contains node software. You should install it on all the nodes
in your network. It will know how to extract all sorts of data from the
node it runs on, and will wait for the gatherer to request this data for
further processing.

It includes a range of plugins capable of extracting common values such as
cpu usage, network usage, load average, and so on. Creating your own plugins
which are capable of extracting other system-specific values is very easy,
and is often done in a matter of minutes. You can also create plugins which
relay information from other devices in your network that can't run Munin,
such as a switch or a server running another operating system, by using
SNMP or similar technology.


%package common
Summary:        Network-wide resource monitoring tool (common files)
Requires:       acl
Requires(pre):  shadow-utils
%{?systemd_requires}
BuildArch:      noarch


%description common
Munin is a highly flexible and powerful solution used to create graphs of
virtually everything imaginable throughout your network, while still
maintaining a rattling ease of installation and configuration.

This package contains common files that are used by both the server (munin)
and node (munin-node) packages.


%package plugins-ruby
Summary:        Ruby plugins for Munin resource monitoring
Requires:       %{name}-node = %{version}
BuildArch:      noarch


%description plugins-ruby
Additional Ruby plugins for munin-node.


%package nginx
Summary:        NGINX support for Munin resource monitoring
Requires:       %{name} = %{version}
Requires:       munin-cgi
Requires:       nginx-filesystem
Provides:       munin-web-support = %{version}-%{release}
Conflicts:      munin-apache
BuildArch:      noarch


%description nginx
NGINX support for Munin resource monitoring.


%package apache
Summary:        Apache support for Munin resource monitoring
Requires:       %{name} = %{version}
Requires:       httpd
Requires:       mod_fcgid
Provides:       munin-web-support = %{version}-%{release}
Conflicts:      munin-nginx
BuildArch:      noarch


%description apache
Apache support for Munin resource monitoring.


%package cgi
Summary:        FastCGI startup scripts for Munin resource monitoring
Requires:       %{name} = %{version}
Requires:       nginx-filesystem
%{?systemd_requires}
BuildArch:      noarch


%description cgi
FastCGI startup scripts for Munin resource monitoring. Use these with
NGINX to generate graphs on demand. Apache has built in support for
FastCGI so you don't need this package.


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%setup -q

sed -i -e '
  s,^PREFIX     = \(.*\),PREFIX     = $(DESTDIR)%{_prefix},;
  s,^CONFDIR    = \(.*\),CONFDIR    = $(DESTDIR)%{_sysconfdir}/munin,;
  s,^DOCDIR     = \(.*\),DOCDIR     = $(DESTDIR)%{_docdir}/%{name}-%{version},;
  s,^MANDIR     = \(.*\),MANDIR     = $(DESTDIR)%{_mandir},;
  s,^LIBDIR     = \(.*\),LIBDIR     = $(DESTDIR)%{_datadir}/munin,;
  s,^HTMLDIR    = \(.*\),HTMLDIR    = $(DESTDIR)%{_localstatedir}/www/html/munin,;
  s,^CGIDIR     = \(.*\),CGIDIR     = $(HTMLDIR)/cgi,;
  s,^DBDIR      = \(.*\),DBDIR      = $(DESTDIR)%{_sharedstatedir}/munin,;
  s,^DBDIRNODE  = \(.*\),DBDIRNODE  = $(DESTDIR)%{_sharedstatedir}/munin-node,;
  s,^LOGDIR     = \(.*\),LOGDIR     = $(DESTDIR)%{_localstatedir}/log/munin,;
  s,^PYTHON     := \(.*\),PYTHON     := /usr/bin/python3,;
  s,^RUBY       := \(.*\),RUBY       := /usr/bin/ruby,;
  s,^PERLLIB    = \(.*\),PERLLIB    = $(DESTDIR)%{perl_vendorlib},;
  s,^HOSTNAME   := \(.*\),HOSTNAME   := localhost.localdomain,;
  s,^PLUGINUSER := \(.*\),PLUGINUSER := munin,;
  s,^CGIUSER := \(.*\),CGIUSER    := munin,;
  s,^CHECKUSER  := \(.*\),CHECKUSER  := /bin/true,;
  s,^CHECKGROUP := \(.*\),CHECKGROUP := /bin/true,;
  s,^CHOWN      := \(.*\),CHOWN      := echo Not done: chown,;
  s,^CHMOD      := \(.*\),CHMOD      := echo Not done: chmod,;
  s,^CHGRP      := \(.*\),CHGRP      := echo Not done: chgrp,;
  s,^JC         := \(.*\),JC         := /bin/false,;
  ' Makefile.config

sed -i -e 's,@@DBDIR@@,%{_sharedstatedir}/munin-node,g' node/_bin/munin-get.in

%patch -P 101 -p1
%patch -P 102 -p1
%patch -P 103 -p1

cp %SOURCE16 .
cp %SOURCE17 .
cp %SOURCE18 .


%build
make CONFIG=Makefile.config


%install
make CONFIG=Makefile.config DESTDIR=%{buildroot} install

rm -f %{buildroot}%{_datadir}/munin/DejaVuSans*.ttf



cp %{SOURCE20} %{buildroot}%{_sysconfdir}/munin/

mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
cp %{SOURCE21} %{buildroot}%{_sysconfdir}/logrotate.d/munin-node

mkdir -p %{buildroot}%{_unitdir}
cp %{SOURCE23} %{buildroot}%{_unitdir}
cp %{SOURCE25} %{buildroot}%{_unitdir}

mv %{buildroot}%{_datadir}/munin/munin-asyncd %{buildroot}%{_sbindir}/munin-asyncd

rm -f %{buildroot}%{_datadir}/munin/plugins/sybase_space

cp %{SOURCE200} %{buildroot}%{_datadir}/munin/plugins/

cp %{SOURCE300} %{buildroot}%{_sysconfdir}/munin/plugin-conf.d/
cp %{SOURCE301} %{buildroot}%{_sysconfdir}/munin/plugin-conf.d/

mkdir -p %{buildroot}%{_sharedstatedir}/munin-node/plugin-state/munin
mkdir -p %{buildroot}%{_sharedstatedir}/munin-node/plugin-state/root

mkdir -p %{buildroot}%{_sharedstatedir}/munin-node/munin-get-plugins

mkdir -p %{buildroot}/%{_prefix}/lib/firewalld/services
cp %{SOURCE26} %{buildroot}/%{_prefix}/lib/firewalld/services/


for i in if_err_ bonding_err_ yum ntp_ ntp_kernel_err ntp_kernel_pll_freq ntp_kernel_pll_off ntp_states nfsd; do
    sed -i -e 's/family=auto/family=manual/' %{buildroot}%{_datadir}/munin/plugins/$i
done

for i in courier_mta_mailqueue courier_mta_mailstats courier_mta_mailvolume \
         dhcpd3 mysql_isam_space_ snmp__print_pages snmp__print_supplies \
         snmp__rdp_users tomcat_jvm; do
    fname="%{buildroot}%{_datadir}/munin/plugins/$i"
    iconv -f iso8859-1 -t UTF-8 $fname > $fname.tmp
    chmod --reference=$fname $fname.tmp
    mv -f $fname.tmp $fname
done



ln -s munin-conf.d %{buildroot}%{_sysconfdir}/munin/conf.d

cp %{SOURCE10} %{buildroot}%{_sysconfdir}/munin/

touch %{buildroot}%{_sysconfdir}/munin/static/custom.css

cp %{SOURCE11} %{buildroot}%{_sysconfdir}/logrotate.d/munin

mkdir -p %{buildroot}%{_tmpfilesdir}
mkdir -p %{buildroot}%{_rundir}/munin
cp %{SOURCE12} %{buildroot}%{_tmpfilesdir}/%{name}.conf

cp %{SOURCE13} %{buildroot}%{_unitdir}
cp %{SOURCE14} %{buildroot}%{_unitdir}

mkdir -p %{buildroot}%{_sharedstatedir}/munin/.ssh

mkdir -p %{buildroot}%{_sharedstatedir}/munin/rrdcached
cp %{SOURCE15} %{buildroot}%{_unitdir}

for i in static/definitions.html templates/partial/head.tmpl; do
    sed -i -e 's/iso-8859-1/utf-8/g' %{buildroot}%{_sysconfdir}/munin/$i
done



cp %{SOURCE32} %{buildroot}%{_unitdir}
cp %{SOURCE33} %{buildroot}%{_unitdir}
cp %{SOURCE34} %{buildroot}%{_unitdir}
cp %{SOURCE35} %{buildroot}%{_unitdir}



touch %{buildroot}%{_localstatedir}/log/munin/munin-cgi-graph.log
touch %{buildroot}%{_localstatedir}/log/munin/munin-cgi-html.log
touch %{buildroot}%{_localstatedir}/log/munin/munin-graph.log
touch %{buildroot}%{_localstatedir}/log/munin/munin-html.log
touch %{buildroot}%{_localstatedir}/log/munin/munin-limits.log
touch %{buildroot}%{_localstatedir}/log/munin/munin-update.log
mkdir -p %{buildroot}%{_localstatedir}/log/munin-node
touch %{buildroot}%{_localstatedir}/log/munin-node/munin-node.log



mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d
touch %{buildroot}%{_sysconfdir}/httpd/conf.d/munin.conf
touch %{buildroot}%{_sysconfdir}/httpd/conf.d/munin-cgi.conf
touch %{buildroot}%{_sysconfdir}/munin/munin-htpasswd


%pre
getent group munin >/dev/null || groupadd -r munin
getent passwd munin >/dev/null || useradd -r -g munin -d %{_sharedstatedir}/munin -s /bin/sh -c "Munin user" munin
exit 0


%post
mkdir -p %{_localstatedir}/log/munin
[ -f %{_localstatedir}/log/munin/munin-html.log ] || \
    /usr/bin/install -m 0640 -o munin -g adm /dev/null %{_localstatedir}/log/munin/munin-html.log
[ -f %{_localstatedir}/log/munin/munin-limits.log ] || \
    /usr/bin/install -m 0640 -o munin -g adm /dev/null %{_localstatedir}/log/munin/munin-limits.log
[ -f %{_localstatedir}/log/munin/munin-update.log ] || \
    /usr/bin/install -m 0640 -o munin -g adm /dev/null %{_localstatedir}/log/munin/munin-update.log
if [ "$1" = "1" ]; then
    if [ ! -f %{_sysconfdir}/munin/munin-conf.d/local.conf ]; then
        cat - >> %{_sysconfdir}/munin/munin-conf.d/local.conf <<EOF

[localhost]
    address 127.0.0.1
    use_node_name yes
EOF
    fi
fi
%systemd_post munin-rrdcached.service munin.timer munin.service


%preun
%systemd_preun munin-rrdcached.service munin.timer munin.service


%postun
%systemd_postun_with_restart munin-rrdcached.service munin.timer
%systemd_postun munin.service


%triggerin -- munin < 2.0.69-2
if [ -n "$(ls %{_sysconfdir}/munin/conf.d/* 2>/dev/null)" ]; then
    mv -f %{_sysconfdir}/munin/conf.d/* %{_sysconfdir}/munin/munin-conf.d/
fi
exit 0


%triggerpostun -- munin < 2.0.69-2
if [ -d %{_sysconfdir}/munin/conf.d ]; then
    if ! rmdir %{_sysconfdir}/munin/conf.d 2>/dev/null; then
        mv -f %{_sysconfdir}/munin/conf.d %{_sysconfdir}/munin/conf.d.rpmold
    fi
fi
if [ -f %{_sysconfdir}/munin/munin.conf.rpmnew ]; then
    if [ -n "$(ls %{_sysconfdir}/munin/munin-conf.d/* 2>/dev/null)" ]; then
        ln -sf munin-conf.d %{_sysconfdir}/munin/conf.d
    fi
fi
exit 0


%pre node
getent group munin >/dev/null || groupadd -r munin
getent passwd munin >/dev/null || useradd -r -g munin -d %{_sharedstatedir}/munin -s /bin/sh -c "Munin user" munin
exit 0


%post node
[ -f %{_localstatedir}/log/munin-node/munin-node.log ] || \
    /usr/bin/install -m 0640 -o root -g adm /dev/null %{_localstatedir}/log/munin-node/munin-node.log
%{_sbindir}/semanage fcontext --delete --equal %{_sharedstatedir}/munin %{_sharedstatedir}/munin-node 2> /dev/null || :
%{_sbindir}/semanage fcontext --add --type munin_plugin_state_t "%{_sharedstatedir}/munin-node/plugin-state(/.*)?" 2> /dev/null || :
%{_sbindir}/semanage fcontext --add --type unconfined_munin_plugin_exec_t "%{_sharedstatedir}/munin-node/munin-get-plugins(/.*)?" 2> /dev/null || :
%{_sbindir}/restorecon -R %{_sharedstatedir}/munin-node || :
if [ "$1" = "1" ]; then
    %{_sbindir}/munin-node-configure --shell 2> /dev/null | sh >& /dev/null || :
    if [ -x %{_bindir}/ipcs -a -x %{_bindir}/ipcrm ]; then
        for mem in $(%{_bindir}/ipcs --shmems | grep munin | cut --delimiter=' ' --fields=1); do
            %{_bindir}/ipcrm --shmem-key ${mem} 2>/dev/null || :
        done
        for sem in $(%{_bindir}/ipcs --semaphores | grep munin | cut --delimiter=' ' --fields=1); do
            %{_bindir}/ipcrm --semaphore-key ${sem} 2>/dev/null || :
        done
    fi
fi
%firewalld_reload
%systemd_post munin-node.service munin-asyncd.service


%preun node
%systemd_preun munin-node.service munin-asyncd.service


%postun node
if [ "$1" = "0" ]; then
    %{_sbindir}/semanage fcontext --delete --type munin_plugin_state_t "%{_sharedstatedir}/munin-node/plugin-state(/.*)?" 2> /dev/null || :
    %{_sbindir}/semanage fcontext --delete --type unconfined_munin_plugin_exec_t "%{_sharedstatedir}/munin-node/munin-get-plugins(/.*)?" 2> /dev/null || :
fi
%systemd_postun_with_restart munin-node.service munin-asyncd.service


%pre common
getent group munin >/dev/null || groupadd -r munin
getent passwd munin >/dev/null || useradd -r -g munin -d %{_sharedstatedir}/munin -s /bin/sh -c "Munin user" munin
exit 0


%post nginx
[ -f %{_localstatedir}/log/munin/munin-cgi-graph.log ] || \
    /usr/bin/install -m 0660 -o munin -g munin /dev/null %{_localstatedir}/log/munin/munin-cgi-graph.log
[ -f %{_localstatedir}/log/munin/munin-cgi-html.log ] || \
    /usr/bin/install -m 0660 -o munin -g munin /dev/null %{_localstatedir}/log/munin/munin-cgi-html.log
[ -f %{_localstatedir}/log/munin/munin-graph.log ] || \
    /usr/bin/install -m 0660 -o munin -g munin /dev/null %{_localstatedir}/log/munin/munin-graph.log


%post apache
[ -f %{_localstatedir}/log/munin/munin-cgi-graph.log ] || \
    /usr/bin/install -m 0660 -o munin -g apache /dev/null %{_localstatedir}/log/munin/munin-cgi-graph.log
[ -f %{_localstatedir}/log/munin/munin-cgi-html.log ] || \
    /usr/bin/install -m 0660 -o munin -g apache /dev/null %{_localstatedir}/log/munin/munin-cgi-html.log
[ -f %{_localstatedir}/log/munin/munin-graph.log ] || \
    /usr/bin/install -m 0660 -o munin -g apache /dev/null %{_localstatedir}/log/munin/munin-graph.log


%post cgi
%systemd_post munin-cgi-graph.socket munin-cgi-graph.service
%systemd_post munin-cgi-html.socket munin-cgi-html.service


%preun cgi
%systemd_preun munin-cgi-graph.socket munin-cgi-graph.service
%systemd_preun munin-cgi-html.socket munin-cgi-html.service


%postun cgi
%systemd_postun_with_restart munin-cgi-graph.socket munin-cgi-graph.service
%systemd_postun_with_restart munin-cgi-html.socket munin-cgi-html.service


%files
%doc %{_mandir}/man5/munin.conf*
%doc %{_mandir}/man8/munin*
%dir %{_sysconfdir}/munin
%dir %{_sysconfdir}/munin/munin-conf.d
%dir %{_sysconfdir}/munin/templates
%dir %{_sysconfdir}/munin/static
%{_unitdir}/munin.timer
%{_unitdir}/munin.service
%ghost %{_sysconfdir}/munin/conf.d
%config(noreplace) %{_sysconfdir}/logrotate.d/munin
%config(noreplace) %{_sysconfdir}/munin/munin.conf
%config(noreplace) %{_sysconfdir}/munin/templates/*
%config(noreplace) %{_sysconfdir}/munin/static/*
%{_bindir}/munin-check
%{_bindir}/munin-cron
%dir %{_datadir}/munin
%{_datadir}/munin/munin-datafile2storable
%{_datadir}/munin/munin-graph
%{_datadir}/munin/munin-html
%{_datadir}/munin/munin-limits
%{_datadir}/munin/munin-storable2datafile
%{_datadir}/munin/munin-update
%{perl_vendorlib}/Munin/Master
%attr(-, munin, munin) %dir %{_sharedstatedir}/munin
%attr(0700, munin, munin) %dir %{_sharedstatedir}/munin/.ssh
%attr(-, munin, munin) %dir %{_localstatedir}/www/html/munin
%attr(-, munin, munin) %{_localstatedir}/www/html/munin/cgi
%attr(0640, munin, adm) %ghost %{_localstatedir}/log/munin/munin-html.log
%attr(0640, munin, adm) %ghost %{_localstatedir}/log/munin/munin-limits.log
%attr(0640, munin, adm) %ghost %{_localstatedir}/log/munin/munin-update.log
%attr(-, munin, munin) %dir %{_sharedstatedir}/munin/rrdcached
%{_unitdir}/munin-rrdcached.service
%dir %{_datadir}/munin/plugins
%{_datadir}/munin/plugins/munin_stats
%config(noreplace) %ghost %{_sysconfdir}/munin/munin-htpasswd
%config(noreplace) %ghost %{_sysconfdir}/httpd/conf.d/munin.conf
%config(noreplace) %ghost %{_sysconfdir}/httpd/conf.d/munin-cgi.conf
%config(noreplace) %ghost %{_localstatedir}/www/html/munin/.htaccess


%files node
%doc %{_mandir}/man1/munin*
%doc %{_mandir}/man3/Munin*
%doc %{_mandir}/man5/munin-node.conf*
%dir %{_sysconfdir}/munin
%dir %{_sysconfdir}/munin/plugin-conf.d
%dir %{_sysconfdir}/munin/plugins
%config(noreplace) %{_sysconfdir}/logrotate.d/munin-node
%config(noreplace) %{_sysconfdir}/munin/munin-node.conf
%config(noreplace) %{_sysconfdir}/munin/plugin-conf.d/*
%{_unitdir}/munin-node.service
%{_unitdir}/munin-asyncd.service
%{_bindir}/munindoc
%{_bindir}/munin-get
%{_sbindir}/munin-node
%{_sbindir}/munin-node-configure
%{_sbindir}/munin-run
%{_sbindir}/munin-asyncd
%dir %{_datadir}/munin
%{_datadir}/munin/munin-async
%{_datadir}/munin/plugins/
%exclude %{_datadir}/munin/plugins/tomcat_
%exclude %{_datadir}/munin/plugins/munin_stats
%{perl_vendorlib}/Munin/Node
%{perl_vendorlib}/Munin/Plugin*
%{_prefix}/lib/firewalld/services/munin-node.xml
%attr(-, munin, munin) %dir %{_sharedstatedir}/munin
%attr(-, root, root) %dir %{_sharedstatedir}/munin-node
%attr(-, root, root) %dir %{_sharedstatedir}/munin-node/munin-get-plugins
%attr(-, root, root) %dir %{_sharedstatedir}/munin-node/plugin-state
%attr(-, munin, root) %dir %{_sharedstatedir}/munin-node/plugin-state/munin
%attr(-, root, root) %dir %{_sharedstatedir}/munin-node/plugin-state/root
%attr(-, munin, munin) %dir %{_sharedstatedir}/munin/spool
%attr(0700, munin, munin) %dir %{_sharedstatedir}/munin/.ssh
%attr(0750, root, adm) %dir %{_localstatedir}/log/munin-node
%attr(0640, root, adm) %ghost %{_localstatedir}/log/munin-node/munin-node.log


%files common
%license COPYING
%doc ChangeLog HACKING.pod perltidyrc
%doc httpd_cgi_graphs.conf httpd_cron_graphs.conf nginx_cgi_graphs.conf
%dir %{perl_vendorlib}/Munin
%{perl_vendorlib}/Munin/Common
%{_tmpfilesdir}/%{name}.conf
%attr(0775, root, munin) %dir %{_rundir}/munin


%files plugins-ruby
%{_datadir}/munin/plugins/tomcat_


%files nginx
%attr(0775, munin, munin) %dir %{_sharedstatedir}/munin/cgi-tmp
%attr(0750, munin, adm) %dir %{_localstatedir}/log/munin
%attr(0660, munin, munin) %ghost %{_localstatedir}/log/munin/munin-cgi-graph.log
%attr(0660, munin, munin) %ghost %{_localstatedir}/log/munin/munin-cgi-html.log
%attr(0660, munin, munin) %ghost %{_localstatedir}/log/munin/munin-graph.log


%files apache
%attr(0775, munin, apache) %dir %{_sharedstatedir}/munin/cgi-tmp
%attr(0750, munin, apache) %dir %{_localstatedir}/log/munin
%attr(0660, munin, apache) %ghost %{_localstatedir}/log/munin/munin-cgi-graph.log
%attr(0660, munin, apache) %ghost %{_localstatedir}/log/munin/munin-cgi-html.log
%attr(0660, munin, apache) %ghost %{_localstatedir}/log/munin/munin-graph.log


%files cgi
%{_unitdir}/munin-cgi-graph.service
%{_unitdir}/munin-cgi-graph.socket
%{_unitdir}/munin-cgi-html.service
%{_unitdir}/munin-cgi-html.socket


%changelog
* Fri Aug 23 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.76-1
- initial build
